from django.utils.translation import gettext_lazy as _
from django.forms.widgets import DateInput
from django import forms
import datetime


class SearchForm(forms.Form):
    source = forms.CharField(max_length=128)
    date = forms.DateField(
        label=_("date"),
        initial=datetime.date.today(),
        widget=DateInput(format="%Y-%m-%d"),
        input_formats=["%Y-%m-%d"],
    )
