from django.urls import path
from . import views


urlpatterns = [
    path("", views.chat_view, name="chat"),
    path("logs/", views.LogEntriesView.as_view(), name="log_index"),
    path(
        "logs/<slug:source>/<int:year>/<int:month>/<int:day>/",
        views.LogEntriesView.as_view(),
        name="log_day",
    ),
    path(
        "logs/switch/source/<int:pk>/",
        views.switch_log_source,
        name="log_switch_source",
    ),
    path(
        "logs/switch/entry/<int:pk>/", views.switch_log_entry, name="log_switch_entry"
    ),
    path("logs/search/", views.log_search_view, name="log_search"),
]
