from django.contrib import admin
from django import forms
from .models import Element, ElementDescription, ElementSeparator


class ElementDescriptionAdminForm(forms.ModelForm):
    class Meta:
        model = ElementDescription
        widgets = {"description": forms.widgets.Textarea}
        fields = "__all__"


class ElementDescriptionInline(admin.StackedInline):
    model = ElementDescription
    form = ElementDescriptionAdminForm
    extra = 2


class ElementAdmin(admin.ModelAdmin):
    list_display = ("__str__", "parent", "link", "weight")
    ordering = ("parent", "weight")
    inlines = [ElementDescriptionInline]


admin.site.register(Element, ElementAdmin)
admin.site.register(ElementSeparator)
